#!/usr/bin/env python

# Primes where n and n+6 are both prime, OEIS A023201
sexy_primes = [ 5, 7, 11, 13, 17, 23, 31, 37, 41, 53, 61, 67]

def rg_variant(prime):
	total_size = ((prime * 3) + prime + 6)
	rounds = total_size / 3.625
	base_security = (prime + 6) * 4 
	print "Belt width: " + str(prime)
	print "Mill width: " + str(prime + 6)
	print "Suggested blank rounds: " + str(rounds)
	print " 8 bit word size security: " + str(base_security)
	print "16 bit word size security: " + str(base_security * 2)
	print "32 bit word size security: " + str(base_security * 4)
	print "64 bit word size security: " + str(base_security * 8)
	print ""

for prime in sexy_primes:
	rg_variant(prime)
